#-----------------------------------------------------------------------------
# Name        :   PhlatBoyzTools
# Description :   A set of tools for marking up Phlatland Sketchup drawings and generating Phlatprinter g-code.
# Menu Item   :   
# Context Menu:   
# Usage       :   
# Date        :   03 Nov 2010
# Type        :   
# Version     :   0.924
#-----------------------------------------------------------------------------

require('sketchup.rb')

class PhlatScriptExtention < SketchupExtension 
  def initialize
    super 'Phlatboyz Tools', 'Phlatboyz/Phlatscript.rb' 
    self.description = 'A set of tools for marking up Phlatland Sketchup drawings and generating Phlatprinter g-code.' 
    self.version = '0.924' 
    self.creator = 'Phlatboyz' 
    self.copyright = '11/03/2010, Phlatboyz' 
  end

  def load
    require 'Phlatboyz/Phlatscript.rb'
    PhlatScript.load
  end 

end
$PhlatScriptExtension = PhlatScriptExtention.new
Sketchup.register_extension($PhlatScriptExtension, true)
